function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import * as React from 'react';
import { AelfIcon } from "../icon/AelfIcon";
var AelfSVGComponent = function AelfSVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", _extends({
    viewBox: "0 0 16 60",
    fill: "currentColor",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M12.893 30.179a1 1 0 0 0 0-.765L4.723 9.688a1 1 0 0 1 .541-1.306l.74-.307a1 1 0 0 1 1.306.542l8.614 20.795a1 1 0 0 1 0 .766L7.31 50.975a1 1 0 0 1-1.307.541l-.739-.306a1 1 0 0 1-.541-1.307l8.17-19.724Z"
  }));
};
var componentName = 'NextButtonIcon';
export var NextButtonIcon = /*#__PURE__*/React.forwardRef(function (props, ref) {
  return /*#__PURE__*/React.createElement(AelfIcon, _extends({
    component: AelfSVGComponent,
    componentName: componentName,
    defaultWidth: 16,
    defaultHeight: 60,
    ref: ref
  }, props));
});
NextButtonIcon.displayName = componentName;